콘텐츠로 건너뛰기
ShopentlyLearn

상품 · 헤더

upload_id를 만든 뒤 multipart/form-data로 파일을 전송하고 상품에 연결합니다. 다운로드에는 Bearer 토큰과 category 권한이 필요하며, 응답에는 공개 주소나 비밀번호 없이 파일 바이트가 포함됩니다. 공유 판매 파일의 명시적 접근 규칙. new_purchases / recent_and_new / selected / all_purchasers.

HEAD/api/v1/products/{product_id}/files/{file_id}/versions/{version_id}/content

cURL 요청

: "${SHOPENTLY_SHOP_URL:?}"

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 300 \
  --head \
  --header "Authorization: Bearer ${SHOPENTLY_ACCESS_TOKEN:?}" \
  --url "${SHOPENTLY_SHOP_URL%/}"'/api/v1/products/example/files/00000000-0000-4000-8000-000000000001/versions/00000000-0000-4000-8000-000000000001/content?category=digital'

응답

HTTP/1.1 200

필수 권한

최소 요금제
STANDARD
필수 권한
특정 필드의 추가 권한
  • category=internal: 상품 파일 조회 · 내부 파일catalog.product_file:read_internal
  • category=customer_document: 상품 파일 조회 · 고객 문서catalog.product_file:read_customer_document
  • category=digital: 상품 파일 조회 · 디지털 상품catalog.product_file:read_digital